Bug Hunting Session
Bug 70241 - EDITING: Problem using preview icon
Summary: EDITING: Problem using preview icon
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 16:27 UTC by brstpierre
Modified: 2015-04-26 11:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
required test document (29.15 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-08-16 16:45 UTC, brstpierre
Details
additional test document (29.21 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-08-16 16:47 UTC, brstpierre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description brstpierre 2013-10-07 16:27:33 UTC
In an existing Calc spreadsheet, including several sheets, I intend to create a new sheet.

1rst method to do that : 
Use move/copy sheet dialog
Copy an existing sheet, 
Location : current document, end position, give a new name to the sheet
Format, styles et formatting, page styles, new style from sélection, new style name, double-click on this new page style.
Clear the sheet content
Enter data
Click on preview icon : OK (effective view of the content of the sheet)
For each sheet of the spreadsheet click on preview icon : OK (effective view of the content of each sheet)


Other method :

Use Add sheet button (green cross) at the end of the folder to create a new sheet
Format, styles et formatting, page styles, new style from sélection, new style name, double-click on this new page style.
Enter data.
Click on preview icon : OK (effective view of the content of the sheet)
For each other sheet of the spreadsheet click on preview icon : white sheet, menus in grey (inactive), and at the left side of the sheet, at the bottom, it is written : "Page 1/0".
It is not possible to recover.

This problem has started with the new LibO 4.x 


              
Operating System: Windows (other)
Version: 4.0.0.3 release
Comment 1 Dominique Boutry 2013-10-25 11:40:58 UTC
Unable to reproduce the problem (LibO 4.1.2.3 on Win7)
Comment 2 brstpierre 2013-10-31 16:22:29 UTC
(In reply to comment #1)
> Unable to reproduce the problem (LibO 4.1.2.3 on Win7)

Thanks for addressing my question !

I work with Vista regularly updated.
I have installed the last release of LibO : 4.1.2.3
1) When I follow the procedure as described in the bug report, for a file which was created with the previous versions 3.x or earlier of LibO, the bug is reproduced.
2) If I follow the procedure with a file created with LibO 4.x, there is no problem.

So I suppose that the problem comes with opening or completing a file which was created in previous 3.x or earlier versions of LibO...

Regards
Comment 3 Joel Madero 2014-07-21 01:55:31 UTC
We'll need one of those older created test documents to confirm. Setting to NEEDINFO - please provide a test document and then set the bug to UNCONFIRMED. Thanks
Comment 4 brstpierre 2014-08-16 16:45:27 UTC
Created attachment 104739 [details]
required test document
Comment 5 brstpierre 2014-08-16 16:47:36 UTC
Created attachment 104740 [details]
additional test document
Comment 6 brstpierre 2014-08-16 16:50:16 UTC
(In reply to comment #3)
> We'll need one of those older created test documents to confirm. Setting to
> NEEDINFO - please provide a test document and then set the bug to
> UNCONFIRMED. Thanks

Fortunatly I could find an old spreadsheet created in previous versions 3.xx of LibO, dated 11/2010.
I removed personal data from that sheet but I kept the frame of my table. I saved the result using LibO 4.6.2., as "Test sheet"
If I first open the file, I click on preview icon : OK (effective view of the content of the sheet).
If I add a new sheet, I click on preview icon, and I get grey empty sheet, and at the left side of the sheet, at the bottom, it is written : "Page 1/0". I get the same résult if I come back to the first sheet and try to get preview. If I save the file, I cannot recover the preview process (Test sheet b).
I hope that will be helpfull for you.
Best regards
Comment 7 raal 2014-08-22 21:27:54 UTC
I think it's because print range is set to none. See Format->Print ranges->Edit-> Print range = none
Set Print range = entire sheet.
Comment 8 steve -_- 2014-10-28 00:56:34 UTC
Is this bug still valid / reproducible with the latest LO release?
http://www.libreoffice.org/download/libreoffice-fresh/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME.

Setting to NEEDINFO until more detail is provided.

Tested your test file with 4.3.3.1 on OSX 10.10 and print preview shows just fine.
Comment 9 brstpierre 2014-10-30 20:43:19 UTC
The proposed solutions were unsuccessful.

I resume some observations : this problem arised because I continued to use LibO 4.x, for working with  file created with LibO 3.x or previous. In this case it is still not recommended to create a new sheet and create a new format except if we copy an existing sheet and an existing format, then suppressing old data and introducing new data.

If I create a new calc file with LibO 4.x by copying each sheet from a file created with LibO 3.x, the problem will not arrive anymore. It's the only way to use LibO 4.x for working safely with files created with LibO 3.x or previous.
Comment 10 Matthew Francis 2015-04-26 11:24:02 UTC
As hinted in comment 7, this concerns the print ranges set for the spreadsheet.

When I open attachment 104739 [details], I can see that the print range for the sheet is set to "none", but a print preview is still available.

Back in 3.3.0.4, a new spreadsheet got a print range of "none", but this has since been fixed - a new spreadsheet in 4.4.2.2 automatically gets a print range of "entire sheet".

Possibly as an attempted affordance for old spreadsheets which were affected by the above bug, a spreadsheet with a single sheet and a print range of "none" still now behaves like it has a print range of "entire sheet". However, as soon as a new sheet is added, this is no longer the case.

The interface now makes clear what is going on; while both the "print range = none" case and the "empty sheet" case still show a grey screen in preview, they now also clearly show the messages "Print Range Empty" and "No Data" respectively to clue you as to why the print preview is empty.


Given the above, I don't see that there's anything left to fix here. The solution for old spreadsheets is, where necessary, to set print ranges using Format - Print Ranges - Edit...

Setting -> RESOLVED WORKSFORME